export class ListaPartidas {
    _partidas = [];
    constructor(partidas) {
      this._partidas = partidas;
    }
    agregarPartida(partida) {
      this._partidas.push(partida);
    }
    eliminaPartida(uuid){
      const index = this._partidas.findIndex((partida) => partida.uuid === uuid);
      if (index !== -1) {
        this._partidas.splice(index, 1);
      }
    }
    get partidasAbiertas() {
      return this._partidas.filter((partida) => partida.abierta);
    }
    getPartidasEnCurso(uuid) {
      return this._partidas.filter((partida) => partida.uuid === uuid && !partida.abierta);
    }
    obtenerPartidaPorUuid(uuid) {
      return this._partidas.find((partida) => partida.uuid === uuid);
    }
  }
  